# -*- coding: utf-8 -*-
from setuphelpers import *
import json
import glob


def update_package():
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    data = json.loads(ensure_unicode(wgets("https://sourceforge.net/projects/sweethome3d/best_release.json", proxies=proxies)))["platform_releases"][
        "windows"
    ]
    dstexe = "https://netix.dl.sourceforge.net/project/sweethome3d/%s" % data["filename"]
    filename = data["filename"].split("/")[-1]

    version = filename.split("-")[1]
    print("Latest Version : " + version)

    exes = glob.glob("*.exe")
    for fn in exes:
        if fn != filename:
            remove_file(fn)

    if not isfile(filename):
        print("Downloading %s from %s" % (filename, dstexe))
        wget(dstexe, filename, proxies=proxies, download_timeout=900)
    else:
        print("Already up to date, skipped")

    # Changing version of the package
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)

    # Deleting outdated binaries
    for f in glob.glob("*.exe"):
        if f != filename:
            remove_file(f)
